# Changelog

## [integrations/nvidia-v0.1.1] - 2024-11-14

### 🐛 Bug Fixes

- Fixes to NvidiaRanker (#1191)

## [integrations/nvidia-v0.1.0] - 2024-11-13

### 🚀 Features

- Update default embedding model to nvidia/nv-embedqa-e5-v5 (#1015)
- Add NVIDIA NIM ranker support (#1023)
- Raise error when attempting to embed empty documents/strings with Nvidia embedders (#1118)

### 🐛 Bug Fixes

- Lints in `nvidia-haystack` (#993)
- Missing Nvidia embedding truncate mode (#1043)

### 🚜 Refactor

- Remove deprecated Nvidia Cloud Functions backend and related code. (#803)

### 📚 Documentation

- Update Nvidia API docs (#1031)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)
- Update ruff linting scripts and settings (#1105)
- Adopt uv as installer (#1142)

### Docs

- Update NvidiaGenerator docstrings (#966)

## [integrations/nvidia-v0.0.3] - 2024-05-22

### 📚 Documentation

- Update docstrings of Nvidia integrations (#599)

### ⚙️ Miscellaneous Tasks

- Add generate docs to Nvidia workflow (#603)

## [integrations/nvidia-v0.0.2] - 2024-03-18

### 📚 Documentation

- Disable-class-def (#556)

## [integrations/nvidia-v0.0.1] - 2024-03-07

### 🚀 Features

- Add `NvidiaTextEmbedder`, `NvidiaDocumentEmbedder` and co. (#537)

### 🐛 Bug Fixes

- `nvidia-haystack`- Handle non-strict env var secrets correctly (#543)

## [integrations/nvidia-v0.0.0] - 2024-03-01

<!-- generated by git-cliff -->
